Bug 175752

Summary: Factor :before/:after render tree mutations into a RenderTreeUpdater helper class
Product: WebKit Reporter: Antti Koivisto <koivisto>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, cgarcia, commit-queue, kling, simon.fraser, webkit-bug-importer, zalan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
patch
kling: review+
patch none

Description Antti Koivisto 2017-08-19 10:28:34 PDT
Move render tree mutation code out from PseudoElement.
Comment 1 Antti Koivisto 2017-08-19 10:36:31 PDT
Created attachment 318586 [details]
patch
Comment 2 Andreas Kling 2017-08-19 14:00:04 PDT
Comment on attachment 318586 [details]
patch

r=me

Thought: Maybe RenderTreeUpdater could have a RenderView& getter?
Comment 3 Antti Koivisto 2017-08-20 01:59:38 PDT
Created attachment 318598 [details]
patch
Comment 4 WebKit Commit Bot 2017-08-20 02:42:12 PDT
Comment on attachment 318598 [details]
patch

Clearing flags on attachment: 318598

Committed r220956: <http://trac.webkit.org/changeset/220956>
Comment 5 WebKit Commit Bot 2017-08-20 02:42:14 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Carlos Garcia Campos 2017-08-28 05:23:17 PDT
Comment on attachment 318598 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=318598&action=review

> Source/WebCore/style/RenderTreeUpdater.cpp:350
> -    FlowThreadController& flowThreadController = element.document().renderView()->flowThreadController();
> +    FlowThreadController& flowThreadController = renderView().flowThreadController();

This doesn't build (with CSS regions enabled), because this is a static function, so there's not this to call renderView().
Comment 7 Radar WebKit Bug Importer 2017-08-28 05:27:28 PDT
<rdar://problem/34108878>